<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otIp6Address Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d55/structotIp6Address.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../dc/dba/structotIp6Address-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otIp6Address Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents an IPv6 address.  
 <a href="../../d6/d55/structotIp6Address.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for otIp6Address:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/daa/structotIp6Address__inherit__graph.png" border="0" usemap="#otIp6Address_inherit__map" alt="Inheritance graph"/></div>
<map name="otIp6Address_inherit__map" id="otIp6Address_inherit__map">
<area shape="rect" id="node2" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html" title="This class implements an IPv6 address object. " alt="" coords="5,79,151,104"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae85545c6b8dba7d992321968aec7849c"><td class="memItemLeft" ><a class="anchor" id="ae85545c6b8dba7d992321968aec7849c"></a>
union {</td></tr>
<tr class="memitem:a10853923f54a821c765b3b5fd7727f36"><td class="memItemLeft" >
&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="../../d6/d55/structotIp6Address.html#aa5b811bbdf02971144bf96d754b205c5">m8</a> [<a class="el" href="../../dc/dbf/openthread-types_8h.html#adeeae0fb64b080081b41ebbbcfe06d6e">OT_IP6_ADDRESS_SIZE</a>]</td></tr>
<tr class="memdesc:a10853923f54a821c765b3b5fd7727f36"><td class="mdescLeft">&#160;</td><td class="mdescRight">8-bit fields <br /></td></tr>
<tr class="separator:a10853923f54a821c765b3b5fd7727f36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f882b2a5076c2183c1ece88a002bdbe"><td class="memItemLeft" >
&#160;&#160;&#160;uint16_t&#160;&#160;&#160;<a class="el" href="../../d6/d55/structotIp6Address.html#a8a1247a0b028c0b5d9804e27696d24e2">m16</a> [<a class="el" href="../../dc/dbf/openthread-types_8h.html#adeeae0fb64b080081b41ebbbcfe06d6e">OT_IP6_ADDRESS_SIZE</a>/sizeof(uint16_t)]</td></tr>
<tr class="memdesc:a3f882b2a5076c2183c1ece88a002bdbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">16-bit fields <br /></td></tr>
<tr class="separator:a3f882b2a5076c2183c1ece88a002bdbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade9806352cbacfa2572fb5e5cdfd9687"><td class="memItemLeft" >
&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<a class="el" href="../../d6/d55/structotIp6Address.html#a1311d1bfc108b886e69268038a97ca0a">m32</a> [<a class="el" href="../../dc/dbf/openthread-types_8h.html#adeeae0fb64b080081b41ebbbcfe06d6e">OT_IP6_ADDRESS_SIZE</a>/sizeof(uint32_t)]</td></tr>
<tr class="memdesc:ade9806352cbacfa2572fb5e5cdfd9687"><td class="mdescLeft">&#160;</td><td class="mdescRight">32-bit fields <br /></td></tr>
<tr class="separator:ade9806352cbacfa2572fb5e5cdfd9687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85545c6b8dba7d992321968aec7849c"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d55/structotIp6Address.html#ae85545c6b8dba7d992321968aec7849c">mFields</a></td></tr>
<tr class="memdesc:ae85545c6b8dba7d992321968aec7849c"><td class="mdescLeft">&#160;</td><td class="mdescRight">IPv6 accessor fields. <br /></td></tr>
<tr class="separator:ae85545c6b8dba7d992321968aec7849c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents an IPv6 address. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
